Skip to content

Delete data resources ​

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.

Delete data resources, delete the corresponding data resource information according to the data resource ID.

Method name ​

ManagementClient.deleteDataResource

Request parameters ​

NameTypeRequiredDefault valueDescriptionExample value
resourceCodestringYes-Data resource Code, unique in the permission spacedataResourceTestCode
namespaceCodestringYes-Permission space Code to which the data resource belongsexamplePermissionNamespace

Sample code ​

ts
import { ManagementClient, Models } from "authing-node-sdk";

// Initialize ManagementClient
const managementClient = new ManagementClient({
  // Need to be replaced with your GenAuth Access Key ID
  accessKeyId: "GEN_AUTH_ACCESS_KEY_ID",
  // Need to be replaced with your GenAuth Access Key Secret
  accessKeySecret: "GEN_AUTH_ACCESS_KEY_SECRET",
  // If it is a private deployment customer, you need to set the GenAuth service domain name
  // host: 'https://api.your-authing-service.com'
});

(async () => {
  const result = await managementClient.deleteDataResource({
    namespaceCode: "examplePermissionNamespace",
    resourceCode: "resourceCode",
  });

  console.log(JSON.stringify(result, null, 2));
})();

Request response ​

Type: CommonResponseDto

NameTypeDescription
statusCodenumberBusiness status code. This status code can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code. This error code can be used to get the specific error type (successful requests are not returned). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. It will be returned when the request fails.

Sample result:

json
{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c"
}

Data structure ​